/*
 * triangle.cpp
 *
 *  Created on: Nov 30, 2016
 *      Author: beng
 */

#include "triangle.h"

Triangle::Triangle(unsigned int a, unsigned int b, unsigned int c){
	_a = a;
	_b = b;
	_c = c;
	calculateArea();
	calculatePerimeter();
}

unsigned int Triangle::getPerimeter(){
	return perimeter;
}

unsigned int Triangle::getArea(){
	return area;
}

void Triangle::setLength(unsigned int a, unsigned int b, unsigned int c){
	_a = a;
	_b = b;
	_c = c;
}

void Triangle::calculateArea(){
	if(_a && _b)
		area = 0.5 * _a * _b;
	else if(_b && _c)
		area = 0.5 * _b * _c;
	else if(_a && _c)
		area = 0.5 * _a * _c;
	else
		area = 0;
}

void Triangle::calculatePerimeter(){
	perimeter = (_a && _b && _c) ? (_a + _b + _c):0;
}
